@import url('https://fonts.googleapis.com/css2?family=Playwrite+GB+J:ital@0;1&display=swap');
body {
    background-image: url('media/background.jpg');
    background-size: cover;
    background-attachment: fixed;
    background-repeat: repeat;
    font-family: 'Playwrite GB J', serif;
    color: rgb(146, 7, 32);
}

.header {
height: min-content;
flex-direction: row;
justify-content: center;
width: max-content;
text-align: center;
margin: 0px auto;



}

.aside {
   width: 300px;
   height:400px;
   background-color: rgb(224, 34, 69);
   background-size:300px;
   position:absolute;
}

.grid{
    display:flex;
        justify-content: center;
        align-items: center;
        flex-wrap: wrap;
        gap: 5px;
}

.image-overlay {
    position: relative;
    width: 250px;
    height: 250px;
    background: url('media/applepage.png') center/cover no-repeat;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    margin: 5px;
}

.image-overlay span {
    overflow: scroll;
    padding: 10px;
    margin: 5px;
    width: 200px;
    height: 100px;
    display:flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    gap: 4px;
    scrollbar-color: red;
    
}

.image-overlay span h3,
.image-overlay span p {
    margin: 0;
}

main {
    width: 850px;
    height: auto;
    background-image: url('media/gingham.gif');
    background-repeat: repeat;
    border: 4px double rgb(234, 108, 108);
    margin-left: 100px;
    margin-right: 100px;
    padding: 10px;
    display: flex;
    justify-content: center;
    gap: 40px;
}

main figure {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin: 0;
}

main figcaption {
    margin-top: 0.5rem;
}

.blinkie {
    height: 20px;
    width: 125px;
}

.stamp {
 height: 75px;
 width: 100px;
}

/* Worm Inside An Apple - https://www.cursors-4u.com/cursor/worm-inside-an-apple */
* {
  cursor: url('https://cdn.cursors-4u.net/previews/worm-inside-an-apple-e766030f-32.webp') 32 32, auto !important;
}
/* End www.Cursors-4U.com Code */

/*-Diary*/

.entry{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.date{
    color: antiquewhite;
    background-color: rgb(146, 7, 32);
    border: double rgb(234, 108, 108) 5px;
}

.entrylink{
    align-items: center;
}

.logentry{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 2px;
    font-size: small;
    height: min-content;
}

/*Credits*/

.creditbox{
align-items: center; 
display: flex; 
flex-direction: column; 
background-image: url(media/gingham.gif); 
border: double 5px rgb(234, 108, 108); 
height: 100px; 
width: 140px;
overflow: scroll;
}
.creditcontainer{
    display:grid;
    grid-template-columns: 300px 300px 300px;
    padding: 10px;
    
}